Bug 1304653 - ACTION_TYPE_FAILED_VM_SNAPSHOT_TYPE_NOT_ALLOWED message isn't i18n comptaible
ACTION_TYPE_FAILED_VM_SNAPSHOT_TYPE_NOT_ALLOWED message isn't i18n comptaible
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.3
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Liron Aravot
Natalie Gavrielov
:
Depends On: 1323484
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 04:30 EST by Liron Aravot
Modified: 2016-07-05 03:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:42:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
tnisan: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52996 master MERGED core: Removal of SnapshotType name and I18n improvement 2016-02-04 05:08 EST

  None (edit)
Description Liron Aravot 2016-02-04 04:30:19 EST
Description of problem:
When trying to remove a snapshot whose type is PREVIEW the operation isn't
supported and the ACTION_TYPE_FAILED_VM_SNAPSHOT_TYPE_NOT_ALLOWED message
will be returned.
The message isn't i18n compatible and the snapshot status/allowed statuses
for the operation will appear in english always.

How reproducible:
Always

Steps to Reproduce:
1. Add a vm
2. create a snapshot
3. preview a snapshot
4. attempt to remove the previewed snapshot (using rest-api)

Actual results:
The returned message isn't i18n compatible.


Expected results:
The returned message should be i18n compatible.

Additional info:
Comment 1 Liron Aravot 2016-02-04 04:47:13 EST
let's target this one to 4.0, we shouldn't get this message by using the UI and even when using the api we'll probably won't get to situation in which its returned.
Comment 2 Natalie Gavrielov 2016-06-05 09:49:07 EDT
Liron,

Was there an error in the engine.log?
Comment 3 Liron Aravot 2016-06-05 10:06:38 EDT
Hi Natalie,
When you run the specified scenario you should get the ACTION_TYPE_FAILED_VM_SNAPSHOT_TYPE_NOT_ALLOWED validation message. it'll appear in the engine log and in the rest response (resolved message). The thing that should be verified here is that the resolved message is i18n comptabile.
Comment 4 Natalie Gavrielov 2016-06-05 10:26:03 EDT
(In reply to Liron Aravot from comment #3)
> Hi Natalie,
> When you run the specified scenario you should get the
> ACTION_TYPE_FAILED_VM_SNAPSHOT_TYPE_NOT_ALLOWED validation message. it'll
> appear in the engine log and in the rest response (resolved message). The
> thing that should be verified here is that the resolved message is i18n
> comptabile.

Is changing the language when logging in to the admin portal is a good enough scenario?
Comment 5 Liron Aravot 2016-06-05 10:29:34 EDT
afaik - yes.
Comment 6 Natalie Gavrielov 2016-06-05 10:55:19 EDT
Verified, using: ovirt-engine-4.1.0-0.0.master.20160604051311.git26acf03.el7.centos.noarch

Scenario:
1. connect to ovirt-engine UI.
2. change the language.
3. connect to the admin portal.

Result: language changes accordingly. 
(no errors in UI/ engine.log)
Comment 7 Sandro Bonazzola 2016-07-05 03:42:07 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.